<?php
/**
 * Admin View: Settings page
 *
 * @author  Sébastien Dumont
 * @package Perfect Checkout\Admin\Views
 * @global  string $current_view
 * @version 1.4.0
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $current_view;
?>
<div class="wrap perfect-checkout settings">

	<h1 class="screen-reader-text">Perfect Checkout</h1>

	<div class="container">

		<div class="content">

			<div class="logo">
				<a href="<?php echo esc_url( 'https://perfectcheckout.com/' ); ?>"" target="_blank">
					<img src="<?php echo esc_url( untrailingslashit( plugins_url( '/', PERFECTCHECKOUT_FILE ) ) . '/assets/images/logo.svg' ); ?>" alt="Perfect Checkout Logo" />
				</a>
			</div>

			<form method="post" id="mainform" action="" enctype="multipart/form-data">

			<?php
			do_action( 'perfect_checkout_sections_' . $current_view );

			self::show_messages();

			do_action( 'perfect_checkout_settings_' . $current_view );
			$show_save_btn = empty( $pc_license ) ? 'style="display:none"' : '';
			?>
			<p class="submit"<?php echo $show_save_btn; ?>>
				<?php submit_button( esc_attr__( 'Save Changes', 'perfect-checkout' ), 'perfect-button', 'save', false ); ?>
				<?php wp_nonce_field( 'perfect-checkout-settings' ); ?>
			</p>

			<br/>
			<hr>
			<br/>

			<h3><?php esc_html_e( 'Support', 'perfect-checkout' ); ?></h3>

			<div class="information">
				<ul>
					<li><?php echo sprintf( __( 'View our %1$sgetting started guide%2$s and %3$sdocs%2$s.', 'perfect-checkout' ), '<a href="' . esc_url( 'https://docs.perfectcheckout.com/en/collections/3030056-getting-started-with-perfect-checkout' ) . '" target="_blank">', '</a>', '<a href="' . esc_url( 'https://docs.perfectcheckout.com' ) . '" target="_blank">' ); ?></li>
					<li><?php echo sprintf( __( 'Live chat and email support available at %1$sPerfectCheckout.com%2$s', 'perfect-checkout' ), '<a href="' . esc_url( 'https://perfectcheckout.com/' ) . '" target="_blank">', '</a>' ); ?></li>
				</ul>
			</div>

			<h3><?php esc_html_e( 'Problems?', 'perfect-checkout' ); ?></h3>

			<div class="information">
				<p><?php esc_html_e( 'Perfect Checkout doesn\'t always perform as intended on shared hosting. We are also aware of issues with certain live-rate shipping plugins that may slow down our carts response time.', 'perfect-checkout' ); ?></p>
			</div>

			<p><?php echo sprintf( __( 'Learn how to get the best performance with your store by %1$sreading our resources%2$s and please reach out to our friendly support team if you have any issues.', 'perfect-checkout' ), '<a href="' . esc_url( 'https://perfectcheckout.com/blog/' ) . '" target="_blank">', '</a>' ); ?></p>

		</div>

	</div>

</div>
