<?php
/**
 * Admin View: Required WooCommerce Notice.
 *
 * @author  Sébastien Dumont
 * @since   1.6.0
 * @package Perfect Checkout\Admin\Views
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="notice notice-info">
	<h3><?php echo esc_html__( 'Update Required!', 'perfect-checkout' ); ?></h3>
	<p>
		<?php
		echo sprintf(
			/* translators: 1: Perfect Checkout, 2: WooCommerce, 3: Required WooCommerce version */
			esc_html__( '%1$s requires at least %2$s v%3$s or higher.', 'perfect-checkout' ),
			'Perfect Checkout',
			'WooCommerce',
			esc_attr( PerfectCheckout::$required_woo )
		);
		?>
	</p>

	<?php if ( current_user_can( 'update_plugins' ) ) { ?>
	<div class="perfectcheckout-action">
		<?php
		$upgrade_url = wp_nonce_url(
			add_query_arg(
				array(
					'action' => 'upgrade-plugin',
					'plugin' => 'woocommerce',
				),
				self_admin_url( 'update.php' )
			),
			'upgrade-plugin_woocommerce'
		);
		$upgrade_url = wp_nonce_url( add_query_arg( 'perfectcheckout-hide-notice', 'check_wc', $upgrade_url ), 'perfectcheckout_hide_notices_nonce', '_perfectcheckout_notice_nonce' );
		?>
		<a href="<?php echo esc_url( $upgrade_url ); ?>" class="button button-primary" aria-label="<?php echo esc_html__( 'Update WooCommerce', 'perfect-checkout' ); ?>"><?php echo esc_html__( 'Update WooCommerce', 'perfect-checkout' ); ?></a>
		<a class="no-thanks" href="<?php echo esc_url( wp_nonce_url( add_query_arg( 'perfectcheckout-hide-notice', 'check_wc', esc_url( Perfect_Checkout_Helpers::perfect_checkout_get_current_admin_url() ) ), 'perfectcheckout_hide_notices_nonce', '_perfectcheckout_notice_nonce' ) ); ?>"><?php esc_html_e( 'Dismiss', 'perfect-checkout' ); ?></a>
	</div>
	<?php } ?>
</div>
