<?php
/**
 * Perfect Checkout Core Functions
 *
 * @author  Sébastien Dumont
 * @package Perfect Checkout\Functions
 * @since   1.6.11
 * @license GPL-2.0+
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'get_perfect_license' ) ) {
	/**
	 * Get Perfect Checkout License.
	 *
	 * @since 1.6.11
	 *
	 * @return string
	 */
	function get_perfect_license() {
		$license = get_option( 'perfectcheckout_license', '' );

		if ( empty( $license ) && defined( 'PERFECTCHECKOUT_LICENSE' ) ) {
			return PERFECTCHECKOUT_LICENSE;
		}

		return $license;
	} // END get_perfect_license()
}