<?php
/**
 * Perfect Checkout Shortcode.
 *
 * @author  Sébastien Dumont
 * @package Perfect Checkout\Functions
 * @since   1.5.0
 * @license GPL-2.0+
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function perfect_checkout_shortcode( $atts ) {
	// Maybe load session handler.
	if ( ! class_exists( 'CoCart_Session' ) ) {
		include_once plugin_dir_path( PERFECTCHECKOUT_FILE ) . 'packages/rest-api/includes/abstracts/abstract-cocart-session.php';
		include_once plugin_dir_path( PERFECTCHECKOUT_FILE ) . 'packages/rest-api/includes/class-cocart-session-handler.php';
	}

	WC()->session = new CoCart_Session_Handler();

	$cart_key = WC()->session->get_customer_unique_id();

	$pc_license = get_perfect_license();

	$api_url = PerfectCheckout::get_api_url();;

	$frame_url = $api_url . '?id=' . $pc_license . '&ck=' . $cart_key;

	ob_start();
	?>
	<script type="text/javascript" src="<?php echo untrailingslashit( plugins_url( '/', PERFECTCHECKOUT_FILE ) ) . '/assets/js/iframeResizer.min.js'; ?>"></script>
	<style>
	iframe#perfect-frame {
		width: 100%;
		flex: auto;
		outline: none;
		border: none;
		height: 100vh;
		position: absolute;
		left: 0;
	}
	</style>
	<div style="min-height: 100vh; overflow: auto; width: 100%;">
		<iframe src='<?php echo esc_url( $frame_url ); ?>' title='Perfect Checkout Window' referrerpolicy="origin" id="perfect-frame" frameborder="0" scrolling="no" allow="payment *" width="100%"></iframe>
	</div>
	<script type="text/javascript" src="<?php echo untrailingslashit( plugins_url( '/', PERFECTCHECKOUT_FILE ) ) . '/assets/js/iframeResizer.contentWindow.min.js'; ?>"></script>
	<script type="text/javascript">iFrameResize({log: true, checkOrigin: false}, '#perfect-frame');</script>
	<?php
	return ob_get_clean();
}

add_shortcode( 'perfect_checkout', 'perfect_checkout_shortcode' );
